#!/bin/sh
# ##########################################################################
# ####                                                                  ####
# ####                    Master Thesis Implementation                  ####
# ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
# ####                  DiffServ with A Priori Knowledge                ####
# ####                                                                  ####
# #### ================================================================ ####
# ####                                                                  ####
# ####                                                                  ####
# #### Backup Script                                                    ####
# ####                                                                  ####
# #### Version 1.00  --  September 16, 2000                             ####
# ####                                                                  ####
# #### Copyright (C) 2000 Thomas Dreibholz                              ####
# #### University of Bonn, Department of Computer Science IV            ####
# #### EMail: Dreibholz@bigfoot.com                                     ####
# #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
# ####                                                                  ####
# ##########################################################################


if [ ! $# -gt 0 ]
then
   echo "Usage: Backup.sh [Directory]"
   exit
fi

if [ ! -e $1 ]
then
   mkdir $1
fi

if [ ! -e $1 ]
then
   echo "Directory $1 does not exist!"
   exit
fi

make clean


if [ ! -e $1/diplom ]
then
   mkdir $1/diplom
fi
if [ ! -e $1/diplom/Ablage ]
then
   mkdir $1/diplom/Ablage
fi


cp -d * $1/diplom
cp -d Ablage/*.cc Ablage/*.h Ablage/*.txt Ablage/*.tex Ablage/*.bz2 $1/diplom/Ablage


echo ""
echo "Backup to $1 completed!"
echo ""
